---
lang: en
title: 'API docs: logging'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.logging.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/logging](./logging.md)

## logging package

[@loopback/logging](https://github.com/loopbackio/loopback-next/tree/master/extensions/logging)

## Classes

<table><thead><tr><th>

Class


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[LoggingComponent](./logging.loggingcomponent.md)


</td><td>

A component providing logging facilities


</td></tr>
<tr><td>

[WinstonLoggerProvider](./logging.winstonloggerprovider.md)


</td><td>

A provider class that creates WinstonLogger instances


</td></tr>
</tbody></table>

## Functions

<table><thead><tr><th>

Function


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[logInvocation()](./logging.loginvocation.md)


</td><td>

`@logInvocation` decorator for method invocations.


</td></tr>
</tbody></table>

## Namespaces

<table><thead><tr><th>

Namespace


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[LoggingBindings](./logging.loggingbindings.md)


</td><td>

Binding keys used by this component.


</td></tr>
</tbody></table>

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[WINSTON\_FORMAT](./logging.winston_format.md)


</td><td>

An extension point for winston formats


</td></tr>
<tr><td>

[WINSTON\_TRANSPORT](./logging.winston_transport.md)


</td><td>

An extension point for winston transports


</td></tr>
</tbody></table>

## Type Aliases

<table><thead><tr><th>

Type Alias


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[LoggingComponentConfig](./logging.loggingcomponentconfig.md)


</td><td>

Configuration for LoggingComponent


</td></tr>
</tbody></table>

